## org.hibernate.secure.internal
Class JACCPreDeleteEventListener

    java.lang.Object
      org.hibernate.secure.internal.JACCPreDeleteEventListener

All Implemented Interfaces:
  Serializable, PreDeleteEventListener, JACCSecurityListener

    public class JACCPreDeleteEventListener

extends Object
implements PreDeleteEventListener, JACCSecurityListener

Check security before any deletion

See Also:
  Serialized Form

Constructor Summary
`JACCPreDeleteEventListener(String contextId)`

Method Summary
`boolean` `onPreDelete(PreDeleteEvent event)` Return true if the operation should be vetoed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreDeleteEventListener

    public JACCPreDeleteEventListener(String contextId)

Method Detail

### onPreDelete

    public boolean onPreDelete(PreDeleteEvent event)

  Description copied from interface: `PreDeleteEventListener`
  Return true if the operation should be vetoed

  Specified by:
    `onPreDelete` in interface `PreDeleteEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.